[POST] .../v1/deliveryfrom/get
Returns information about retail order source. Use this method to retrieve retail order sources for order intake workflows, reporting filters and reference selectors. The response returns paged DeliveryFrom records with next_offset and total and supports filters id, name and last_update; ids and search as aliases. The caller must have retail order source select permission; missing body, denied access, invalid filters or sorting and persistent storage errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
| limit | Int32 | Optional | Maximum number of records to return. The value is limited by server settings. |
| offset | Int32 | Optional | Offset from the beginning of the result set. |
| search | String | Optional | Search string for the name field. |
| sort_orders | Array of DeliveryFrom_SortOrder | Optional | Output parameter sorting. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| id | int | Retail order source IDs. |
| last_update | int | |
| name | string |
Sortable Fields
| Field |
|---|
| id |
| last_update |
| name |
Request Example
{
"filters": [
{
"field": "name",
"operator": "Like",
"value": "Website"
}
],
"sort_orders": [
{
"column": "name",
"direction": "ASC"
}
],
"limit": 50,
"offset": 0
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| next_offset | Int32 | Offset for the next data page. |
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of DeliveryFrom | Result array. |
| total | Int64 | Total number of result items. |
Response Example
{
"ok": true,
"result": [
{
"id": 7,
"name": "Website",
"deleted": false,
"last_update": 1712345600
}
],
"next_offset": 0,
"total": 1
}